org.encog.ca.program.generic

## Class GenericCA

- java.lang.Object
- - org.encog.ca.program.basic.BasicProgram
  - - org.encog.ca.program.generic.GenericCA

- All Implemented Interfaces:
    Serializable, CAProgram

      public class GenericCA
      extends BasicProgram
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericCA()`
    `GenericCA(Universe theSourceUniverse, int count)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Trans` | `findTrans(Set<Trans> s, UniverseCell c)`
    `Universe` | `getSourceUniverse()`
    `Universe` | `getTargetUniverse()`
    `void` | `iteration()`
    `void` | `processCell(int row, int col)`
    `void` | `randomize()`
    `void` | `setPhysics(double[] d)`
    `void` | `setSourceUniverse(Universe sourceUniverse)`
    `void` | `setTargetUniverse(Universe targetUniverse)`

    - ### Methods inherited from class org.encog.ca.program.basic.BasicProgram

      `getMovements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericCA

          public GenericCA()

    - #### GenericCA

          public GenericCA(Universe theSourceUniverse,
                   int count)

  - ### Method Detail

    - #### iteration

          public void iteration()

      Specified by:
        `iteration` in interface `CAProgram`

    - #### findTrans

          public Trans findTrans(Set<Trans> s,
                        UniverseCell c)

    - #### processCell

          public void processCell(int row,
                         int col)

    - #### randomize

          public void randomize()

      Specified by:
        `randomize` in interface `CAProgram`

    - #### setPhysics

          public void setPhysics(double[] d)

    - #### getSourceUniverse

          public Universe getSourceUniverse()

      Specified by:
        `getSourceUniverse` in interface `CAProgram`
      Returns:
        the sourceUniverse

    - #### setSourceUniverse

          public void setSourceUniverse(Universe sourceUniverse)

      Specified by:
        `setSourceUniverse` in interface `CAProgram`
      Parameters:
        `sourceUniverse` - the sourceUniverse to set

    - #### getTargetUniverse

          public Universe getTargetUniverse()

      Specified by:
        `getTargetUniverse` in interface `CAProgram`
      Returns:
        the targetUniverse

    - #### setTargetUniverse

          public void setTargetUniverse(Universe targetUniverse)

      Specified by:
        `setTargetUniverse` in interface `CAProgram`
      Parameters:
        `targetUniverse` - the targetUniverse to set

Copyright © 2014. All Rights Reserved.